
using System;
using Math2D;

namespace Math2D.Shapes
{
	
	
	public class Line2D: Shape2D
	{
		private Vector2D[] FVec = new Vector2D[2]{new Vector2D(),
			new Vector2D()};
		public Line2D()
		{
		}
		
		public override bool CollisionTest(Shape2D s, out Vector2D v) {
			v = null;
			return false;	
		}
		
		public Vector2D P1 {
			get { return FVec[0]; }
		}
		
		public Vector2D P2 {
			get { return FVec[1]; }
		}
						
		public override void Move(Vector2D v) {
			
		}
		
		public override void Offset(Vector2D v) {
			
		}
		
		public Vector2D[] Points {
			get { return FVec; }
		}
	}
}
